Get a clinic day
With its appointments by time; booked_cents, what the appointments neither canceled nor missed come to; and paid_cents. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
clinic-days
/
{id}
Get a clinic day
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/clinic-days/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"clinic": {
"id": "<string>",
"name": "<string>",
"held_on": "2023-12-25",
"cancelled": true,
"booked": 123,
"starts_at": "<string>",
"ends_at": "<string>",
"place": "<string>",
"capacity": 500,
"notes": "<string>",
"public_description": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"checked_in": 123,
"done": 123,
"created_at": "2023-11-07T05:31:56Z",
"appointments": [
{
"id": "<string>",
"clinic": {
"id": "<string>",
"name": "<string>",
"held_on": "2023-12-25"
},
"status": "booked",
"pet": {
"id": "<string>",
"name": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "male",
"altered": true,
"microchip_number": "<string>"
},
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"services": [
{
"id": "<string>",
"sale_item_id": "<string>",
"name": "<string>",
"price_cents": 123,
"clinic_record": "vaccination"
}
],
"subtotal_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"at_time": "<string>",
"notes": "<string>",
"checked_in_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"done_at": "2023-11-07T05:31:56Z",
"done_by_person_id": "<string>",
"records": [
{
"id": "<string>",
"record_type": "vaccination",
"name": "<string>",
"performed_on": "2023-12-25",
"appointment_id": "<string>",
"catalogue_item_id": "<string>",
"next_due_on": "2023-12-25",
"details": {},
"notes": "<string>",
"performed_in_house": true,
"veterinarian": {
"id": "<string>",
"name": "<string>"
},
"practice": {
"id": "<string>",
"name": "<string>"
},
"sac_line": "microchip_id"
}
],
"payment": {
"sale_id": "<string>",
"status": "open",
"tender": "card",
"total_cents": 123,
"refunded_cents": 123,
"paid_at": "2023-11-07T05:31:56Z"
}
}
],
"booked_cents": 123,
"paid_cents": 123,
"requests": [
{
"id": "<string>",
"owner": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"pet": {
"name": "<string>",
"species": "<string>"
},
"services": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"holds_until": "2023-11-07T05:31:56Z",
"holding": true,
"link_expires_at": "2023-11-07T05:31:56Z",
"link_sent": true
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get a clinic day
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/clinic-days/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-days/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"clinic": {
"id": "<string>",
"name": "<string>",
"held_on": "2023-12-25",
"cancelled": true,
"booked": 123,
"starts_at": "<string>",
"ends_at": "<string>",
"place": "<string>",
"capacity": 500,
"notes": "<string>",
"public_description": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"checked_in": 123,
"done": 123,
"created_at": "2023-11-07T05:31:56Z",
"appointments": [
{
"id": "<string>",
"clinic": {
"id": "<string>",
"name": "<string>",
"held_on": "2023-12-25"
},
"status": "booked",
"pet": {
"id": "<string>",
"name": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "male",
"altered": true,
"microchip_number": "<string>"
},
"owner": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"services": [
{
"id": "<string>",
"sale_item_id": "<string>",
"name": "<string>",
"price_cents": 123,
"clinic_record": "vaccination"
}
],
"subtotal_cents": 123,
"tax_cents": 123,
"total_cents": 123,
"at_time": "<string>",
"notes": "<string>",
"checked_in_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"done_at": "2023-11-07T05:31:56Z",
"done_by_person_id": "<string>",
"records": [
{
"id": "<string>",
"record_type": "vaccination",
"name": "<string>",
"performed_on": "2023-12-25",
"appointment_id": "<string>",
"catalogue_item_id": "<string>",
"next_due_on": "2023-12-25",
"details": {},
"notes": "<string>",
"performed_in_house": true,
"veterinarian": {
"id": "<string>",
"name": "<string>"
},
"practice": {
"id": "<string>",
"name": "<string>"
},
"sac_line": "microchip_id"
}
],
"payment": {
"sale_id": "<string>",
"status": "open",
"tender": "card",
"total_cents": 123,
"refunded_cents": 123,
"paid_at": "2023-11-07T05:31:56Z"
}
}
],
"booked_cents": 123,
"paid_cents": 123,
"requests": [
{
"id": "<string>",
"owner": {
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"pet": {
"name": "<string>",
"species": "<string>"
},
"services": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"holds_until": "2023-11-07T05:31:56Z",
"holding": true,
"link_expires_at": "2023-11-07T05:31:56Z",
"link_sent": true
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
